Subject: bug#64046: 30.0.50; Quoting in customize choice tags

From: Stephen Berman <[email-masked]>
Date: Thu, 24 Aug 2023 23:41:08 +0200

On Thu, 24 Aug 2023 23:14:06 +0200 Stefan Kangas <[email-masked]> wrote:

>> That indeed gives the same results for the cases discussed in this bug.
>> I used substitute-command-keys because it was already being used in
>> widget-choose before I installed my first change, which expanded its use
>> there.  I don't know if there are cases covered by
>> substitute-command-keys and not but substitute-quotes that are relevant
>> for widget-choose; are there?
>
> s-q only handles ` and ', while s-c-k handles full docstring syntax.
>
> Does that help answer the question?

I had already looked at the code so I saw the difference.  But I don't
know if there are any uses of widget-choose that include more docstring
syntax than quoting, or if anyone might want to use widget-choose in
such a way (if it's possible, which I also don't know).

> If we're not sure, the simplification is probably not worth it.

We could just make the simplification and see if gives rise to
complaints.  On the other hand, I suspect the overhead of s-c-k would
not be very noticeable, unless perhaps someone has a gigantic user
option with lots of quoting.

Steve Berman